stages:
  - build


build-image:
  stage: build
  image: docker:git
  services:
    - docker:dind
  rules:
    - if: $CI_PIPELINE_SOURCE == "push"
  script:
    - export IMAGENAME=${CI_REGISTRY_IMAGE}:1.19.6
    - export IMAGENAME_LATEST=${CI_REGISTRY_IMAGE}:latest
    - docker login -u $CI_REGISTRY_USER -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build -t ${IMAGENAME_LATEST} .
    - docker build -t ${IMAGENAME} .
    - docker push ${IMAGENAME}
    - docker push ${IMAGENAME_LATEST}
